[Overview][Resource strings][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'daemonapp' (#fcl)

# TDaemonThread.CheckControlMessage

Check if a control message has arrived

## Declaration

Source position: daemonapp.pp line 341

`public procedure TDaemonThread.CheckControlMessage(`
`WaitForMessage: Boolean`
`);`

## Arguments

`WaitForMessage` |  | If true, routine waits for message to arrive before returning.

## Description

CheckControlMessage checks if a control message has arrived for the daemon and executes the appropriate daemon message. If the parameter WaitForMessage is True, then the routine waits for the message to arrive. If it is False and no message is present, it returns at once.